"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847b600>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847b6a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847b740>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847b7e0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847b880>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847b920>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847b9c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847ba60>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847bb00>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847bba0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847bc40>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847bce0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847bd80>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847be20>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847bec0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff9847bf60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840040>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff968400e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840180>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840220>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff968402c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840360>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840400>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff968404a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840540>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff968405e0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840680>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840720>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff968407c0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840860>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840900>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff968409a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840a40>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840ae0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840b80>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840c20>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840cc0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840d60>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840e00>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840ea0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840f40>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff96840fe0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841080>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841120>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff968411c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841260>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841300>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff968413a0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841440>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff968414e0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841580>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841620>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff968416c0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841760>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841800>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff968418a0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841940>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff968419e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841a80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841b20>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841bc0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841c60>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841d00>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841da0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841e40>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841ee0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff96841f80>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff96842020>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff968420c0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff96842160>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff96842200>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff968422a0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff96842340>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff968423e0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff96842480>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff96842520>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff968425c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff96842660>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff96842700>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff968427a0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff968428e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff96842840>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff96842980>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff96842a20>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff96842ac0>)]
name: str = 'fr_HOCCN'
